\version "2.19.54"
\include "articulate.ly"

\paper {
  top-margin = 20\mm
  bottom-margin = \top-margin
  left-margin = 20\mm
  right-margin = \left-margin
  max-systems-per-page = 6
  print-page-number = ##f
}

\header {
  title = "TO-MAS feat. Chima – FLIP FLAP FLIP FLAP"
  subtitle = "TV Size"
  composer = \markup { \bold "Masumi Itō" }
  arranger = \markup {
    after
    \with-url #"https://www.youtube.com/watch?v=66Pk-ZuptZ0" "a Synthesia transcription"
    by
    \with-url #"https://www.youtube.com/channel/UCj_FSwCJe3swkxdhM7cQXDw" "Revix"
  }
  tagline = ##f
}


RH = \relative c'' {
  \clef treble
  \key bes \major

  bes4 bes8 bes a4 g8 a |
  bes c a g g2 |
  bes4 bes8 bes a4 g8 a |
  bes a g f es4 d8 es | \barNumberCheck 5
  as4 f8 es des2 |
  as'8 as f es des4 bes8 des |
  f4. es8 f bes f es |
  f2. r4 |
  bes bes a g8 a | \barNumberCheck 10
  bes c a g g2 |
  bes4 bes a g8 a |
  bes a bes c c4 bes8 c |
  des4 bes8 as ges4 es8 ges |
  des' des bes as ges4 as8 ges | \barNumberCheck 15
  f4. es8 f4. es8 |
  f1 |
  r8 d g g fis4 d8 a' |
  bes a g f es4 f8 es |
  d4 bes fis'2 | \barNumberCheck 20
  g4 d a'2 |
  r8 f bes bes a4 f8 c' |
  des c bes as es' des c bes |
  c2~ 8 des16 c~ 8 des |
  <<
    { \voiceOne c1 }
    \new Voice { \voiceTwo f,8^- f ges^- ges g^- g a^- a }
  >> \oneVoice | \barNumberCheck 25

  \key g \major
  d4 g, a d, |
  r8 b' b c b a d,4 |
  b' e, fis b, |
  r8 e( dis) cis dis e fis4 |
  r8 g g g fis e4 e8 | \barNumberCheck 30
  r g g fis fis e e e |
  e4. cis8 e4. cis8 |
  e4 fis g a |
  d g, a d, |
  r8 b' b c b c d d | \barNumberCheck 35
  dis4 gis, ais dis, |
  r8 bis' bis cis dis cis bis dis |

  \key fis \major
  e dis16 cis a4 dis8 cis bis gis |
  fis gis ais cis fis,4. fis16 e |
  d4. cis'16( fis,) e4. cis'16( gis) | \barNumberCheck 40
  fis2 r8 fis fis e |
  fis2 r8 fis fis e |
  fis4-. fis'-. fis,-- r |
}

LH = \relative c, {
  \clef bass
  \key bes \major

  \repeat unfold 3 { es8 es4 bes'8 es, es4 bes8 | }
  es8 es4 bes'8 es, es4 es8 | \barNumberCheck 5
  \repeat unfold 2 { des'8 des4 des8 ges, ges4 ges8 | }
  f2 ges |
  f2. r4 |
  es8 es4 es8 f f4 f8 | \barNumberCheck 10
  es es4 es8 f c c c |
  es es4 es8 f c'4 f,8 |
  es es4 es8 f c' f,4 |
  \repeat unfold 2 { ges8 ges4 ges8 es es4 es8 | } \barNumberCheck 15
  f4\staccato f-. ges-. ges-. |
  f2. \slurDown d'16( c bes a |
  <<
  \new Voice { \voiceOne
    g'2 fis |
    g es |
    g fis | \barNumberCheck 20
    g a |
    f a |
  }
  { \voiceTwo
    g,4.) \slurNeutral g8 d d4 d8 |
    g4. g8 d d4 d8 |
    g4. g8 d d4 f8 | \barNumberCheck 20
    g g4 g8 f f4 f16 a |
    bes4. bes8 f f4 f8 |
  } >> \oneVoice
  <ges ges'>2 <es es'> |
  <f f'> <ges ges'> |
  <f f'>8-- q <ges ges'>-- q <g g'>-- q <a a'>-- q | \barNumberCheck 25

  \key g \major
  <g' g,> q d' g,16 fis q8 q r g16 fis |
  q8 q q g g16 fis g fis d c b8 |
  <e e,> q b' e,16 dis q8 q r e16 dis |
  q8 q q q <e b e,> q q q |
  <c g' c>4 q q q | \barNumberCheck 30
  <a e' a> q q q |
  <ais ais'> q q q |
  <b b'>8 b q b <c g' c> c <d a' d> d |
  <g g,> q d' g,16 fis q8 q r g16 fis |
  q8 q q g fis g <a a,> d, | \barNumberCheck 35
  <gis gis,> q dis' gis,16 fisis q8 q r gis16 fisis |
  q8 q q q <gis dis gis,> q q q |

  \key fis \major
  <e a e'>4 <e e,> <dis gis dis'> <dis dis,> |
  <fis cis fis,> q q2 |
  << {
    d8 d fis d e e gis e | \barNumberCheck 40
    fis fis cis' fis, b a gis a |
    fis fis cis' fis, b a gis e |
  } \\ {
    d,2 e | \barNumberCheck 40
    fis1 |
    fis |
  } >>
  <fis fis'>4-. q-. <fis fis,>-- r |
}

dynamics = {
  \tempo 4 = 117
  \time 4/4
  s1*16 \bar "||"
  s1*8  \bar "||"
  s1*12 \bar "||"
  s1*6  \bar "|."
}

flipFlapping = \lyricmode {
  \repeat unfold 2 { \markup \italic flip \markup \italic flap }
}
text = \lyricmode {
  ko -- sso -- ri so -- cchi wo |
  no -- zo -- i -- ta -- ra |
  so -- cchi mo ko -- cchi wo |
  no -- zo -- i -- te -- ta hi -- to -- |
  mi no o -- ku | o -- chi -- te -- yu -- ku ko -- ko |
  wa do -- ko na -- no ka -- |
  na |
  so -- t -- to te wo |
  tsu -- na -- i -- da -- ra |
  to -- tte -- mo ya -- wa -- |
  ra -- ka -- ka -- t -- ta o -- n -- |
  na -- ji you ni ka -- n -- |
  ji -- te -- i -- ru to na -- ze -- |
  ka wa -- ka -- run |
  da
  a -- na -- ta ga mi -- te -- |
  i -- ru mo -- no wo u -- tsu -- |
  shi -- tei -- ru |
  \markup \italic drip -- \markup \italic ping \markup \italic tears
  to -- ke -- i wo sa -- ka -- |
  sa -- ma ni ta -- do -- t -- te i -- |
  ta \markup \italic trip -- _ _ |
  \markup \italic ping |
  \flipFlapping
  to -- o -- i ko -- e wo |
  \flipFlapping
  to -- ji -- ko -- me -- ta
  ka -- gi no ka -- ka -- tta
  ha -- ko wo hi -- ra -- i -- ta -- |
  ra ho -- ra hi -- |
  ro -- ga -- ru yo |
  \flipFlapping
  ho -- shi no hi -- ka -- ri mo |
  \flipFlapping
  to -- bi -- ha -- ne -- te -- i -- ru |
  i -- ko -- u yo! fu -- shi -- gi na |
  ma -- ta -- ta -- ki ga mi -- chii -- |
  bii -- te -- ru se -- |
  kai a -- na -- ta |
  to fu -- ta -- ri |
  de \markup \rotate #180 \caps flip \markup \caps flap! |
}

\book {
  \score {
    \new PianoStaff <<
      \new Staff = "upper" \RH
      \new Dynamics \dynamics
      \new Staff = "lower" \LH
    >>
    \layout { }
  }
  \score {
    \articulate <<
      \new PianoStaff <<
        \new Staff = "upper" \RH
        \new Dynamics \dynamics
        \new Staff = "lower" \LH
      >>
    >>
    \midi { }
  }
}

\book {
  \bookOutputSuffix "lyrics"
  \score {
    \new PianoStaff <<
      \new Staff = "upper" { \new Voice = "melody" \RH }
      \new Dynamics \dynamics
      \new Lyrics \lyricsto "melody" \text
      \new Staff = "lower" \LH
    >>
    \layout { }
  }
}
